{% extends "layout/admin.html" %}
{% block page_title %}Editar apariencia{% endblock %}
{% block title %}Editar apariencia{% endblock %}
{% block content %}
{% load materializecss %}
<div class="card-panel">
  <p class="right"><a href="{% url 'webs_css_js' web_pk %}" title="Agregar CSS, JS">CSS & JS</a></p>
  <form method="POST" class="form-horizontal row" enctype="multipart/form-data">
    {%csrf_token%}
    {{form.template|materializecss}}
    <div id="colors" class="row"></div>
    {{form.logo|materializecss}}
    {{form.favicon|materializecss}}
    <p><button class="waves-effect waves-light btn btn-large blue right" type="submit"> <i class="fa fa-save"></i> Guardar</button></p>
  </form>
</div>
{% endblock %}
{% block js %}
<script type="text/javascript">
colorChecked = {{color}};
$(document).ready(function(){
    url_load = "{% url 'api_colors' 0 %}"
    loadColors(url_load, ($("#id_template").val()));
    $("#id_template").change(function(){
        loadColors(url_load, ($("#id_template").val()));
    });
});
function loadColors(url,template_id)
{
  url = url.replace("0", template_id);
  $.ajax({
    type: "GET",
    url: url,
    dataType: "json",
    beforeSend: function()
    {
    },
    success: function(data)
    {
      var colors = '';
      $.each( data, function( id,obj ) {
        if (obj.pk == colorChecked)
        {
          colors +='<div class="col s6 m3"><input name="color" checked="checked"  type="radio" id="color'+obj.pk+'" value="'+obj.pk+'" /> <label style="color:#'+obj.hexadecimal+'" for="color'+obj.pk+'">#'+obj.hexadecimal+' <span style="background-color:#'+obj.hexadecimal+'">000</span></label></div>';
        } else {
          colors +='<div class="col s6 m3"><input name="color" type="radio" id="color'+obj.pk+'" value="'+obj.pk+'" /> <label style="color:#'+obj.hexadecimal+'" for="color'+obj.pk+'">#'+obj.hexadecimal+' <span style="background-color:#'+obj.hexadecimal+'">000</span></label></div>';
        }
      });
      $('#colors').html(colors);
    },
    error: function(){
    }
  });
}
</script>
{% endblock %}